net.sf.okapi.common.uidescription

## Class CheckListPart

- java.lang.Object
- - net.sf.okapi.common.uidescription.AbstractPart
  - - net.sf.okapi.common.uidescription.CheckListPart

- All Implemented Interfaces:
    IParameterDescriptor

      public class CheckListPart
      extends AbstractPart

  UI part descriptor for a list of boolean options.

- - ### Field Summary

    - ### Fields inherited from class net.sf.okapi.common.uidescription.AbstractPart

      `container, enabledOnSelection, labelFlushed, labelNextToInput, masterPart, paramDescriptor, vertical, withLabel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CheckListPart(java.lang.String label, int heightHint)` Creates a new ListSelectionPart object with a given parameter descriptor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEntry(ParameterDescriptor desc)` Adds one entry in the map.
    `protected void` | `checkType()` Checks the types supported by this UI part.
    `void` | `clearEntries()` Clears the map of the entries.
    `java.util.Map<java.lang.String,ParameterDescriptor>` | `getEntries()` Gets the map of the the entries.
    `int` | `getHeightHint()` Gets the suggested height for the list.

    - ### Methods inherited from class net.sf.okapi.common.uidescription.AbstractPart

      `getContainer, getDisplayName, getMasterPart, getName, getParent, getReadMethod, getShortDescription, getType, getWriteMethod, isEnabledOnSelection, isLabelFlushed, isLabelNextToInput, isVertical, isWithLabel, setContainer, setDisplayName, setLabelFlushed, setLabelNextToInput, setMasterPart, setShortDescription, setVertical, setWithLabel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CheckListPart

          public CheckListPart(java.lang.String label,
                               int heightHint)

      Creates a new ListSelectionPart object with a given parameter descriptor.
      Parameters:
        `label` - the text to set at the top of the list (or null).
        `heightHint` - the suggested height of the list.

  - ### Method Detail

    - #### checkType

          protected void checkType()

      Description copied from class: `AbstractPart`
      Checks the types supported by this UI part.
      Overrides:
        `checkType` in class `AbstractPart`

    - #### getHeightHint

          public int getHeightHint()

      Gets the suggested height for the list.
      Returns:
        the suggested height for the list.

    - #### getEntries

          public java.util.Map<java.lang.String,ParameterDescriptor> getEntries()

      Gets the map of the the entries.
      Returns:
        the map of the entries.

    - #### clearEntries

          public void clearEntries()

      Clears the map of the entries.

    - #### addEntry

          public void addEntry(ParameterDescriptor desc)

      Adds one entry in the map.
      Parameters:
        `desc` - the description of the parameter.